--- emacs24-24.3+1.orig/lisp/progmodes/cc-vars.el
+++ emacs24-24.3+1/lisp/progmodes/cc-vars.el
@@ -990,7 +1000,7 @@ When the value is a string, all CC Mode
 style by default.
 
 When the value is an alist, the major mode symbol is looked up in it
-and the associated style is installed.  If the major mode is not
+and the associated style is installed.	If the major mode is not
 listed in the alist, then the symbol `other' is looked up in it, and
 if found, the style in that entry is used.  If `other' is not found in
 the alist, then \"gnu\" style is used.
@@ -1002,19 +1012,19 @@ can always override the use of `c-defaul
 	  (string :tag "Style in all modes")
 	  (set :tag "Mode-specific styles"
 	    (cons :format "%v"
-		  (const :format "C     " c-mode) (string :format "%v"))
+		  (const :format "C	" c-mode) (string :format "%v"))
 	    (cons :format "%v"
-		  (const :format "C++   " c++-mode) (string :format "%v"))
+		  (const :format "C++	" c++-mode) (string :format "%v"))
 	    (cons :format "%v"
-		  (const :format "ObjC  " objc-mode) (string :format "%v"))
+		  (const :format "ObjC	" objc-mode) (string :format "%v"))
 	    (cons :format "%v"
-		  (const :format "Java  " java-mode) (string :format "%v"))
+		  (const :format "Java	" java-mode) (string :format "%v"))
 	    (cons :format "%v"
-		  (const :format "IDL   " idl-mode) (string :format "%v"))
+		  (const :format "IDL	" idl-mode) (string :format "%v"))
 	    (cons :format "%v"
-		  (const :format "Pike  " pike-mode) (string :format "%v"))
+		  (const :format "Pike	" pike-mode) (string :format "%v"))
 	    (cons :format "%v"
-		  (const :format "AWK   " awk-mode) (string :format "%v"))
+		  (const :format "AWK	" awk-mode) (string :format "%v"))
 	    (cons :format "%v"
 		  (const :format "Other " other) (string :format "%v"))))
   :group 'c)
@@ -1027,37 +1037,37 @@ can always override the use of `c-defaul
 ;; statement-block-intro, defun-block-intro or substatement syntax
 ;; symbol and continue searching.
 (c-set-stylevar-fallback 'c-offsets-alist
-     '((string                . c-lineup-dont-change)
+     '((string		      . c-lineup-dont-change)
        ;; Anchor pos: Beg of previous line.
-       (c                     . c-lineup-C-comments)
+       (c		      . c-lineup-C-comments)
        ;; Anchor pos: Beg of the comment.
-       (defun-open            . 0)
+       (defun-open	      . 0)
        ;; Anchor pos: When inside a class: Boi at the func decl start.
        ;; When at top level: Bol at the func decl start.  When inside
        ;; a code block (only possible in Pike): At the func decl
        ;; start(*).
-       (defun-close           . 0)
+       (defun-close	      . 0)
        ;; Anchor pos: At the defun block open if it's at boi,
        ;; otherwise boi at the func decl start.
        (defun-block-intro     . +)
        ;; Anchor pos: At the block open(*).
-       (class-open            . 0)
+       (class-open	      . 0)
        ;; Anchor pos: Boi at the class decl start.
-       (class-close           . 0)
+       (class-close	      . 0)
        ;; Anchor pos: Boi at the class decl start.
-       (inline-open           . +)
+       (inline-open	      . +)
        ;; Anchor pos: None for functions (inclass got the relpos
        ;; then), boi at the lambda start for lambdas.
-       (inline-close          . 0)
+       (inline-close	      . 0)
        ;; Anchor pos: Inexpr functions: At the lambda block open if
        ;; it's at boi, else at the statement(*) at boi of the start of
-       ;; the lambda construct.  Otherwise: At the inline block open
+       ;; the lambda construct.	 Otherwise: At the inline block open
        ;; if it's at boi, otherwise boi at the func decl start.
-       (func-decl-cont        . +)
+       (func-decl-cont	      . +)
        ;; Anchor pos: Boi at the func decl start.
        (knr-argdecl-intro     . +)
        ;; Anchor pos: Boi at the topmost intro line.
-       (knr-argdecl           . 0)
+       (knr-argdecl	      . 0)
        ;; Anchor pos: At the beginning of the first K&R argdecl.
        (topmost-intro	      . 0)
        ;; Anchor pos: Bol at the last line of previous construct.
@@ -1071,23 +1081,23 @@ can always override the use of `c-defaul
        ;; Anchor pos: Boi at the func decl arglist open.
        (member-init-cont      . c-lineup-multi-inher)
        ;; Anchor pos: Beg of the first member init.
-       (inher-intro           . +)
+       (inher-intro	      . +)
        ;; Anchor pos: Boi at the class decl start.
-       (inher-cont            . c-lineup-multi-inher)
+       (inher-cont	      . c-lineup-multi-inher)
        ;; Anchor pos: Java: At the implements/extends keyword start.
        ;; Otherwise: At the inher start colon, or boi at the class
        ;; decl start if the first inherit clause hangs and it's not a
        ;; func-local inherit clause (when does that occur?).
-       (block-open            . 0)
+       (block-open	      . 0)
        ;; Anchor pos: Inexpr statement: At the statement(*) at boi of
        ;; the start of the inexpr construct.  Otherwise: None.
-       (block-close           . 0)
+       (block-close	      . 0)
        ;; Anchor pos: Inexpr statement: At the inexpr block open if
        ;; it's at boi, else at the statement(*) at boi of the start of
-       ;; the inexpr construct.  Block hanging on a case/default
+       ;; the inexpr construct.	 Block hanging on a case/default
        ;; label: At the closest preceding label that starts at boi.
        ;; Otherwise: At the block open(*).
-       (brace-list-open       . 0)
+       (brace-list-open	      . 0)
        ;; Anchor pos: Boi at the brace list decl start, but a starting
        ;; "typedef" token is ignored.
        (brace-list-close      . 0)
@@ -1100,11 +1110,11 @@ can always override the use of `c-defaul
        ;; token.
        (brace-entry-open      . 0)
        ;; Anchor pos: Same as brace-list-entry.
-       (statement             . 0)
+       (statement	      . 0)
        ;; Anchor pos: After a `;' in the condition clause of a for
        ;; statement: At the first token after the starting paren.
        ;; Otherwise: At the preceding statement(*).
-       (statement-cont        . +)
+       (statement-cont	      . +)
        ;; Anchor pos: After the first token in the condition clause of
        ;; a for statement: At the first token after the starting
        ;; paren.  Otherwise: At the containing statement(*).
@@ -1119,83 +1129,83 @@ can always override the use of `c-defaul
        ;; Anchor pos: At the case/default label(*).
        (statement-case-open   . 0)
        ;; Anchor pos: At the case/default label(*).
-       (substatement          . +)
+       (substatement	      . +)
        ;; Anchor pos: At the containing statement(*).
        (substatement-open     . +)
        ;; Anchor pos: At the containing statement(*).
        (substatement-label    . 2)
        ;; Anchor pos: At the containing statement(*).
-       (case-label            . 0)
+       (case-label	      . 0)
        ;; Anchor pos: At the start of the switch block(*).
-       (access-label          . -)
+       (access-label	      . -)
        ;; Anchor pos: Same as inclass.
-       (label                 . 2)
+       (label		      . 2)
        ;; Anchor pos: At the start of the containing block(*).
        (do-while-closure      . 0)
        ;; Anchor pos: At the corresponding while statement(*).
-       (else-clause           . 0)
+       (else-clause	      . 0)
        ;; Anchor pos: At the corresponding if statement(*).
-       (catch-clause          . 0)
+       (catch-clause	      . 0)
        ;; Anchor pos: At the previous try or catch statement clause(*).
-       (comment-intro         . (c-lineup-knr-region-comment c-lineup-comment))
+       (comment-intro	      . (c-lineup-knr-region-comment c-lineup-comment))
        ;; Anchor pos: None.
-       (arglist-intro         . +)
+       (arglist-intro	      . +)
        ;; Anchor pos: At the containing statement(*).
        ;; 2nd pos: At the open paren.
-       (arglist-cont          . (c-lineup-gcc-asm-reg 0))
+       (arglist-cont	      . (c-lineup-gcc-asm-reg 0))
        ;; Anchor pos: At the first token after the open paren.
        (arglist-cont-nonempty . (c-lineup-gcc-asm-reg c-lineup-arglist))
        ;; Anchor pos: At the containing statement(*).
        ;; 2nd pos: At the open paren.
-       (arglist-close         . +)
+       (arglist-close	      . +)
        ;; Anchor pos: At the containing statement(*).
        ;; 2nd pos: At the open paren.
-       (stream-op             . c-lineup-streamop)
+       (stream-op	      . c-lineup-streamop)
        ;; Anchor pos: Boi at the first stream op in the statement.
-       (inclass               . +)
+       (inclass		      . +)
        ;; Anchor pos: At the class open brace if it's at boi,
        ;; otherwise boi at the class decl start.
-       (cpp-macro             . [0])
+       (cpp-macro	      . [0])
        ;; Anchor pos: None.
-       (cpp-macro-cont        . +)
+       (cpp-macro-cont	      . +)
        ;; Anchor pos: At the macro start (always at boi).
        (cpp-define-intro      . (c-lineup-cpp-define +))
        ;; Anchor pos: None.
-       (friend                . 0)
+       (friend		      . 0)
        ;; Anchor pos: None.
        (objc-method-intro     . [0])
        ;; Anchor pos: Boi.
        (objc-method-args-cont . c-lineup-ObjC-method-args)
        ;; Anchor pos: At the method start (always at boi).
        (objc-method-call-cont . (c-lineup-ObjC-method-call-colons
-			        c-lineup-ObjC-method-call +))
+				c-lineup-ObjC-method-call +))
        ;; Anchor pos: At the open bracket.
        (extern-lang-open      . 0)
-       (namespace-open        . 0)
-       (module-open           . 0)
+       (namespace-open	      . 0)
+       (module-open	      . 0)
        (composition-open      . 0)
        ;; Anchor pos: Boi at the extern/namespace/etc keyword.
        (extern-lang-close     . 0)
-       (namespace-close       . 0)
-       (module-close          . 0)
+       (namespace-close	      . 0)
+       (module-close	      . 0)
        (composition-close     . 0)
        ;; Anchor pos: Boi at the corresponding extern/namespace/etc keyword.
-       (inextern-lang         . +)
-       (innamespace           . +)
-       (inmodule              . +)
-       (incomposition         . +)
+       (inextern-lang	      . +)
+       (innamespace	      . +)
+       (inmodule	      . +)
+       (incomposition	      . +)
        ;; Anchor pos: At the extern/namespace/etc block open brace if
        ;; it's at boi, otherwise boi at the keyword.
        (template-args-cont    . (c-lineup-template-args +))
        ;; Anchor pos: Boi at the decl start.  This might be changed;
        ;; the logical position is clearly the opening '<'.
-       (inlambda              . c-lineup-inexpr-block)
+       (inlambda	      . c-lineup-inexpr-block)
        ;; Anchor pos: None.
        (lambda-intro-cont     . +)
        ;; Anchor pos: Boi at the lambda start.
        (inexpr-statement      . +)
        ;; Anchor pos: None.
-       (inexpr-class          . +)
+       (inexpr-class	      . +)
        ;; Anchor pos: None.
        ))
 (defcustom c-offsets-alist nil
@@ -1254,20 +1264,20 @@ OFFSET can specify an offset in several
   offset specifications.  If the first element is any of the symbols
   below then it isn't evaluated but instead specifies how the
   remaining offsets in the list should be combined.  If it's something
-  else then the list is combined according the method `first'.  The
+  else then the list is combined according the method `first'.	The
   valid combination methods are:
 
   `first' -- Use the first offset (that doesn't evaluate to nil).
-  `min'   -- Use the minimum of all the offsets.  All must be either
-             relative or absolute - they can't be mixed.
-  `max'   -- Use the maximum of all the offsets.  All must be either
-             relative or absolute - they can't be mixed.
-  `add'   -- Add all the evaluated offsets together.  Exactly one of
-             them may be absolute, in which case the result is
-             absolute.  Any relative offsets that preceded the
-             absolute one in the list will be ignored in that case.
+  `min'	  -- Use the minimum of all the offsets.  All must be either
+	     relative or absolute - they can't be mixed.
+  `max'	  -- Use the maximum of all the offsets.  All must be either
+	     relative or absolute - they can't be mixed.
+  `add'	  -- Add all the evaluated offsets together.  Exactly one of
+	     them may be absolute, in which case the result is
+	     absolute.	Any relative offsets that preceded the
+	     absolute one in the list will be ignored in that case.
 
-`c-offsets-alist' is a style variable.  This means that the offsets on
+`c-offsets-alist' is a style variable.	This means that the offsets on
 this variable are normally taken from the style system in CC Mode
 \(see `c-default-style' and `c-style-alist').  However, any offsets
 put explicitly on this list will override the style system when a CC
@@ -1276,22 +1286,22 @@ Mode buffer is initialized \(there is a
 
 Here is the current list of valid syntactic element symbols:
 
- string                 -- Inside multi-line string.
- c                      -- Inside a multi-line C style block comment.
- defun-open             -- Brace that opens a function definition.
- defun-close            -- Brace that closes a function definition.
- defun-block-intro      -- The first line in a top-level defun.
- class-open             -- Brace that opens a class definition.
- class-close            -- Brace that closes a class definition.
- inline-open            -- Brace that opens an in-class inline method.
- inline-close           -- Brace that closes an in-class inline method.
- func-decl-cont         -- The region between a function definition's
-                           argument list and the function opening brace
-                           (excluding K&R argument declarations).  In C, you
-                           cannot put anything but whitespace and comments
-                           between them; in C++ and Java, throws declarations
-                           and other things can appear in this context.
- knr-argdecl-intro      -- First line of a K&R C argument declaration.
+ string			-- Inside multi-line string.
+ c			-- Inside a multi-line C style block comment.
+ defun-open		-- Brace that opens a function definition.
+ defun-close		-- Brace that closes a function definition.
+ defun-block-intro	-- The first line in a top-level defun.
+ class-open		-- Brace that opens a class definition.
+ class-close		-- Brace that closes a class definition.
+ inline-open		-- Brace that opens an in-class inline method.
+ inline-close		-- Brace that closes an in-class inline method.
+ func-decl-cont		-- The region between a function definition's
+			   argument list and the function opening brace
+			   (excluding K&R argument declarations).  In C, you
+			   cannot put anything but whitespace and comments
+			   between them; in C++ and Java, throws declarations
+			   and other things can appear in this context.
+ knr-argdecl-intro	-- First line of a K&R C argument declaration.
  knr-argdecl		-- Subsequent lines in a K&R C argument declaration.
  topmost-intro		-- The first line in a topmost construct definition.
  topmost-intro-cont	-- Topmost definition continuation lines.
@@ -1302,70 +1312,70 @@ Here is the current list of valid syntac
  member-init-intro	-- First line in a member initialization list.
  member-init-cont	-- Subsequent member initialization list lines.
  inher-intro		-- First line of a multiple inheritance list.
- inher-cont             -- Subsequent multiple inheritance lines.
- block-open             -- Statement block open brace.
- block-close            -- Statement block close brace.
- brace-list-open        -- Open brace of an enum or static array list.
- brace-list-close       -- Close brace of an enum or static array list.
- brace-list-intro       -- First line in an enum or static array list.
- brace-list-entry       -- Subsequent lines in an enum or static array list.
- brace-entry-open       -- Subsequent lines in an enum or static array
-                           list that start with an open brace.
- statement              -- A C (or like) statement.
- statement-cont         -- A continuation of a C (or like) statement.
- statement-block-intro  -- The first line in a new statement block.
- statement-case-intro   -- The first line in a case \"block\".
- statement-case-open    -- The first line in a case block starting with brace.
- substatement           -- The first line after an if/while/for/do/else.
- substatement-open      -- The brace that opens a substatement block.
- substatement-label     -- Labeled line after an if/while/for/do/else.
- case-label             -- A \"case\" or \"default\" label.
- access-label           -- C++ private/protected/public access label.
- label                  -- Any ordinary label.
- do-while-closure       -- The \"while\" that ends a do/while construct.
- else-clause            -- The \"else\" of an if/else construct.
- catch-clause           -- The \"catch\" or \"finally\" of a try/catch construct.
- comment-intro          -- A line containing only a comment introduction.
- arglist-intro          -- The first line in an argument list.
- arglist-cont           -- Subsequent argument list lines when no
-                           arguments follow on the same line as the
-                           arglist opening paren.
- arglist-cont-nonempty  -- Subsequent argument list lines when at
-                           least one argument follows on the same
-                           line as the arglist opening paren.
- arglist-close          -- The solo close paren of an argument list.
- stream-op              -- Lines continuing a stream operator construct.
- inclass                -- The construct is nested inside a class definition.
-                           Used together with e.g. `topmost-intro'.
- cpp-macro              -- The start of a C preprocessor macro definition.
- cpp-macro-cont         -- Inside a multi-line C preprocessor macro definition.
- friend                 -- A C++ friend declaration.
- objc-method-intro      -- The first line of an Objective-C method definition.
- objc-method-args-cont  -- Lines continuing an Objective-C method definition.
- objc-method-call-cont  -- Lines continuing an Objective-C method call.
- extern-lang-open       -- Brace that opens an \"extern\" block.
- extern-lang-close      -- Brace that closes an \"extern\" block.
- inextern-lang          -- Analogous to the `inclass' syntactic symbol,
-                           but used inside \"extern\" blocks.
+ inher-cont		-- Subsequent multiple inheritance lines.
+ block-open		-- Statement block open brace.
+ block-close		-- Statement block close brace.
+ brace-list-open	-- Open brace of an enum or static array list.
+ brace-list-close	-- Close brace of an enum or static array list.
+ brace-list-intro	-- First line in an enum or static array list.
+ brace-list-entry	-- Subsequent lines in an enum or static array list.
+ brace-entry-open	-- Subsequent lines in an enum or static array
+			   list that start with an open brace.
+ statement		-- A C (or like) statement.
+ statement-cont		-- A continuation of a C (or like) statement.
+ statement-block-intro	-- The first line in a new statement block.
+ statement-case-intro	-- The first line in a case \"block\".
+ statement-case-open	-- The first line in a case block starting with brace.
+ substatement		-- The first line after an if/while/for/do/else.
+ substatement-open	-- The brace that opens a substatement block.
+ substatement-label	-- Labelled line after an if/while/for/do/else.
+ case-label		-- A \"case\" or \"default\" label.
+ access-label		-- C++ private/protected/public access label.
+ label			-- Any ordinary label.
+ do-while-closure	-- The \"while\" that ends a do/while construct.
+ else-clause		-- The \"else\" of an if/else construct.
+ catch-clause		-- The \"catch\" or \"finally\" of a try/catch construct.
+ comment-intro		-- A line containing only a comment introduction.
+ arglist-intro		-- The first line in an argument list.
+ arglist-cont		-- Subsequent argument list lines when no
+			   arguments follow on the same line as the
+			   arglist opening paren.
+ arglist-cont-nonempty	-- Subsequent argument list lines when at
+			   least one argument follows on the same
+			   line as the arglist opening paren.
+ arglist-close		-- The solo close paren of an argument list.
+ stream-op		-- Lines continuing a stream operator construct.
+ inclass		-- The construct is nested inside a class definition.
+			   Used together with e.g. `topmost-intro'.
+ cpp-macro		-- The start of a C preprocessor macro definition.
+ cpp-macro-cont		-- Inside a multi-line C preprocessor macro definition.
+ friend			-- A C++ friend declaration.
+ objc-method-intro	-- The first line of an Objective-C method definition.
+ objc-method-args-cont	-- Lines continuing an Objective-C method definition.
+ objc-method-call-cont	-- Lines continuing an Objective-C method call.
+ extern-lang-open	-- Brace that opens an \"extern\" block.
+ extern-lang-close	-- Brace that closes an \"extern\" block.
+ inextern-lang		-- Analogous to the `inclass' syntactic symbol,
+			   but used inside \"extern\" blocks.
  namespace-open, namespace-close, innamespace
-                        -- Similar to the three `extern-lang' symbols, but for
-                           C++ \"namespace\" blocks.
+			-- Similar to the three `extern-lang' symbols, but for
+			   C++ \"namespace\" blocks.
  module-open, module-close, inmodule
-                        -- Similar to the three `extern-lang' symbols, but for
-                           CORBA IDL \"module\" blocks.
+			-- Similar to the three `extern-lang' symbols, but for
+			   CORBA IDL \"module\" blocks.
  composition-open, composition-close, incomposition
-                        -- Similar to the three `extern-lang' symbols, but for
-                           CORBA CIDL \"composition\" blocks.
- template-args-cont     -- C++ template argument list continuations.
- inlambda               -- In the header or body of a lambda function.
- lambda-intro-cont      -- Continuation of the header of a lambda function.
- inexpr-statement       -- The statement is inside an expression.
- inexpr-class           -- The class is inside an expression.  Used e.g. for
-                           Java anonymous classes."
+			-- Similar to the three `extern-lang' symbols, but for
+			   CORBA CIDL \"composition\" blocks.
+ template-args-cont	-- C++ template argument list continuations.
+ inlambda		-- In the header or body of a lambda function.
+ lambda-intro-cont	-- Continuation of the header of a lambda function.
+ inexpr-statement	-- The statement is inside an expression.
+ inexpr-class		-- The class is inside an expression.  Used e.g. for
+			   Java anonymous classes."
   :type
   `(set :format "%{%t%}:
  Override style setting
- |  Syntax                     Offset
+ |  Syntax		       Offset
 %v"
 	,@(mapcar
 	   (lambda (elt)
@@ -1417,7 +1427,6 @@ The list of variables to buffer localize
     c-special-indent-hook
     c-indentation-style"
   :type 'boolean
-  :safe 'booleanp
   :group 'c)
 
 (defcustom c-mode-hook nil
@@ -1491,7 +1500,7 @@ were taken.  That was confusing, especia
 It's believed that despite this change, the new behavior will still
 produce the same results for most old CC Mode configurations, since
 all style variables are per default set in a special non-override
-state.  Set this variable only if your configuration has stopped
+state.	Set this variable only if your configuration has stopped
 working due to this change.")
 
 (define-widget 'c-extra-types-widget 'radio
@@ -1511,9 +1520,9 @@ characters are automatically optimized u
 should not use `regexp-opt' explicitly to build regexps here.
 
 On decoration level 3 (and higher, where applicable), a method is used
-that finds most types and declarations by syntax alone.  This variable
+that finds most types and declarations by syntax alone.	 This variable
 is still used as a first step, but other types are recognized
-correctly anyway in most cases.  Therefore this variable should be
+correctly anyway in most cases.	 Therefore this variable should be
 fairly restrictive and not contain patterns that are uncertain.
 
 Note that this variable is only consulted when the major mode is
@@ -1616,7 +1625,7 @@ names)."))
 (defvar c-macro-with-semi-re nil
   ;; Regular expression which matches a (#define'd) symbol whose expansion
   ;; ends with a semicolon.
-  ;;
+  ;; 
   ;; This variable should be set by `c-make-macros-with-semi-re' rather than
   ;; directly.
 )
@@ -1642,7 +1651,7 @@ names)."))
 	  (t (error "c-make-macro-with-semi-re: invalid \
 c-macro-names-with-semicolon: %s"
 		    c-macro-names-with-semicolon))))))
-
+    
 (defvar c-macro-names-with-semicolon
   '("Q_OBJECT" "Q_PROPERTY" "Q_DECLARE" "Q_ENUMS")
   "List of #defined symbols whose expansion ends with a semicolon.
@@ -1670,7 +1679,6 @@ will set the style of the file to this v
 Note that file style settings are applied before file offset settings
 as designated in the variable `c-file-offsets'.")
 (make-variable-buffer-local 'c-file-style)
-;;;###autoload(put 'c-file-style 'safe-local-variable 'string-or-null-p)
 
 (defvar c-file-offsets nil
   "Variable interface for setting offsets via File Local Variables.
@@ -1686,7 +1694,8 @@ as designated in the variable `c-file-st
 ;; It isn't possible to specify a doc-string without specifying an
 ;; initial value with `defvar', so the following two variables have been
 ;; given doc-strings by setting the property `variable-documentation'
-;; directly.  It's really good not to have an initial value for
+;; directly.  C-h v will read this documentation only for versions of GNU
+;; Emacs from 22.1.  It's really good not to have an initial value for
 ;; variables like these that always should be dynamically bound, so it's
 ;; worth the inconvenience.
 
@@ -1737,7 +1746,7 @@ Set from `c-comment-prefix-regexp' at mo
 (make-variable-buffer-local 'c-current-comment-prefix)
 
 ;; N.B. The next three variables are initialized in
-;; c-setup-paragraph-variables.  Their initializations here are "just in
+;; c-setup-paragraph-variables.	 Their initializations here are "just in
 ;; case".  ACM, 2004/2/15.  They are NOT buffer local (yet?).
 (defvar c-string-par-start
 ;;   (concat "\\(" (default-value 'paragraph-start) "\\)\\|[ \t]*\\\\$")
@@ -1762,4 +1771,5 @@ It treats escaped EOLs as whitespace.")
 
 (cc-provide 'cc-vars)
 
+;;; arch-tag: d62e9a55-c9fe-409b-b5b6-050b6aa202c9
 ;;; cc-vars.el ends here
